Subject: Re: bug#48609: Eglot and tab-always-indent conflict in python-mode

From: Pankaj Jangid <[email-masked]>
Date: Tue, 25 May 2021 12:11:06 +0530

Andrii Kolomoiets <[email-masked]> writes:

> IMO works as described in the `tab-always-indent` docstring:
>
> If ‘complete’, TAB first tries to indent the current line, and if the line
> was already indented, then try to complete the thing at point.

Thanks for sharing this. I think I should have been more specific. The
bug is more related to python-mode then to ‘tab-always-indent’.

In ‘python’ buffers, TABs cycle position of point. But as described in
my original report and reproduced by João, bringing Eglot, inhibits this
behavior.